# co vše lze vložit do tranzitního skeletu (předměty, příslovečná určení atd.)
from rules import Rules


constituent = Rules(
    # TODO: umožnit kopírování pádu nahoru; c=[^5] je regex, rozpoznat ho podle
    # metaznaků, který asi těžko budou v normálním textu (a i tak by mě
    # nezajímaly)
    # TODO: určitě spíš přidat c!=5 a taky možná ^c nebo ↑c (v hlavě jen c)
    '(CONSTITUENT g n) → (NP c=[^5] g n)',
    '(CONSTITUENT g n) → (ADJP c=[^5] g n)',
    '(CONSTITUENT g n c) → (PP g n c)',
    '(CONSTITUENT) → (ADVP)',
    # (to, ) „co jsi napsal“ ~ to tebou napsané
    '(CONSTITUENT) → (DEP_CLAUSE)',  # complementizer phrase (CP)?
    '(CONSTITUENT) → (INFINITIVE)',  # verbální fráze v užším slova smyslu
)

# constituents = constituent.insert_into_all(
#     '(INTER) (CONSTITUENTS)', after=True, update_left='(CONSTITUENTS)')
# constituents.append('(CONSTITUENTS) → ε')

constituents = Rules(
    '(CONSTITUENTS) → ε',
    '(CONSTITUENTS) → (CONSTITUENT) (INTER) (CONSTITUENTS)',
)

rules = constituent + constituents
